{% extends 'profile/layouts/base_layout.html' %}

{% block css %}
    <style>
        div#page-content > p > img{
            max-width: 100% !important;
            height: auto  !important;
        }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/navbar.html' %}
{% endblock navbar %}

{% block main %}
{% load static %}
    <main role="main">
        <div class="jumbotron bg-berita-head text-putih text-center">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 mt-5 mb-auto">
                        <h2 class="mt-3">{{title}} Merapi Trip</h2>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb justify-content-center">
                                <li class="breadcrumb-item"><a href="{% url 'profile:home' %}">Beranda</a></li>
                                <li class="breadcrumb-item active" aria-curent="page">Profil</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <div class="bg-berita">
            <div class="container">
                <div class="row bg-white">
                    <div class="col-md-8 mt-5 mb-5">
                        <h5 id="kategori_berita">{{title}}</h5>
                        <hr class="hr-sm mt-0" align="left">
                        {% if pagex %}
                        <div class="mt-2" id="page-content">{{ pagex.keterangan | safe }}
                            <div class="kotak-shared mt-4" style="float:right;">
                                <span class="mr-3">Share post :</span>
                                <span class="ikon-sosmed">
                                    <a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u={{domain}}{% url 'profile:pages' slug=pagex.slug %}">
                                        <i class="bi bi-facebook"></i></a>
                                </span>
                                <span class="ikon-sosmed">
                                    <a target="_blank" href="https://twitter.com/share?url={{domain}}{% url 'profile:pages' slug=pagex.slug %}">
                                        <i class="bi bi-twitter"></i></a>
                                </span>
                                <span class="ikon-sosmed">
                                    <a target="_blank" href="https://api.whatsapp.com/send?text={{domain}}{% url 'profile:pages' slug=pagex.slug %}">
                                        <i class="bi bi-whatsapp"></i></a>
                                </span>
                            </div>
                        </div>
                        {% else %}
                        <h4>KONTEN BELUM TERSEDIA</h4>
                        {% endif %}
                        
                    </div>
                    <div class="col-md-4 mt-5 mb-5">
                        <div class="news-sidebar mt-0 mb-3">
                            <h5>Kategori Berita</h5>
                            <hr class="hr-sm mt-0" align="left">
                            <div class="news-submenu">
                                <ul>
                                    <li><a href="{% url 'profile:news' %}" alt="semua-berita">Semua Berita</a></li>
                                    {% for dt in cats %}
                                    <li><a href="{% url 'profile:news_by_category' slug=dt.slug %}"
                                            alt="{{dt.slug}}">{{dt.nama}}</a></li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                        <div class="news-sidebar mt-5 mb-3">
                            <h5>Berita Terfavorit</h5>
                            <hr class="hr-sm mt-0" align="left">
                            {% for dt in favs %}
                            <div class="berita-kanan">
                                <h4 class="berita-judul-kanan">
                                    <a href="{% url 'profile:news_detail' slug=dt.slug %}">{{ dt.title }}</a>
                                </h4>
                                <div class="berita-text-cilik-kanan"><span>{{ dt.created_by.first_name }} {{ dt.created_by.last_name }} | {{ dt.created_at|date:"d M Y" }} | Dilihat : {{ dt.seen }} kali</span></div>
                            </div>
                            {% endfor %}
                        </div>
                    </div>

                    <div class="mt-5 mb-5">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-12">
                                  <marquee class="marqueek" behavior="alternate" direction="left" scroll="" onmouseover="this.setAttribute('scrollamount', 0, 0);this.stop();" onmouseout="this.setAttribute('scrollamount', 3, 0);this.start();" scrollamount="3">
                                      {% if runlink %}
                                      {% for dt in runlink %}
                                      <a href="{{dt.link}}" target="_blank">
                                        {% if dt.images %}
                                        <img src="{{dt.logo.url}}">
                                        {% else %}
                                        <img src="{% static 'profile/images/front/no_runninglink.png' %}">
                                        {% endif %}
                                      </a>
                                      {% endfor %}
                                      {% else %}
                                      <h5>Belum Ada Konten</h5>
                                      {% endif %}
                                  </marquee>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        
    </main>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/footer.html' %}
{% endblock footer %}